Skip to main content
Sign Message
curl --request POST \
  --url https://testnet.walletkit.com/transactions/sign-message \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signer_wallet_address": "<string>",
  "message": "<string>",
  "developer_secret": "<string>",
  "user_pin": "<string>"
}
'
import requests

url = "https://testnet.walletkit.com/transactions/sign-message"

payload = {
"signer_wallet_address": "<string>",
"message": "<string>",
"developer_secret": "<string>",
"user_pin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signer_wallet_address: '<string>',
message: '<string>',
developer_secret: '<string>',
user_pin: '<string>'
})
};

fetch('https://testnet.walletkit.com/transactions/sign-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "signature": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Headers

X-WalletKit-Project-ID
string
required
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
signer_wallet_address
string
required

address can only be the ones created in the project.

message
string
required

message to be signed.

message_type
enum<string> | null

type of message to be signed. defaults to string.

Available options:
string,
bytes
developer_secret
string | null

On testnet, the developer_secret is always "testnet-secret". On mainnet, the developer_secret is set by the developer during account activation.

user_pin
string | null

A 6-digit numeric pin that is only known to the user, set during wallet creation. This pin is required to sign transactions from this wallet.

Response

signature
string
required